Groovy 1.7.10

## groovy.swing.factory
[Groovy] Class TextArgWidgetFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.TextArgWidgetFactory

    class TextArgWidgetFactory
    extends AbstractFactory

Authors:
  Danno Ferrin

Property Summary
`Class` | `klass`

Constructor Summary
`TextArgWidgetFactory(Class klass)`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### klass

    final Class klass

Constructor Detail

### TextArgWidgetFactory

    TextArgWidgetFactory(Class klass)

Method Detail

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2010 The Codehaus. All rights reserved.